Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045464
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajoralways2020-11-19 13:172020-11-27 11:52
ReporterdavidverrierView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version2.50SCM revision 
Regression date2020-11-03
Regression introduced by commithttps://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/d3d7a622e41caa3512e71bd1ae6b78c88f55726e [^]
Regression levelPackaging and release
Review Assigned To
Regression introduced in release2.50
Summary

0045464: AWO - Box numbers auto incremented twice

DescriptionUsing 20Q4 and the associated AWO modules,
When I create a box in AWO,
If the number I receive is '1001',
The number in the Back Office is '1002',
Making it very confusing.
Steps To Reproduce1. Create a box in AWO
2. Check the number it gives you
3. Now check the number in the Back Office, it will be 1 higher than the number you were given.
TagsNo tags attached.
Attached Filesdiff file icon proposal.diff [^] (1,136 bytes) 2020-11-26 12:41 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0124633)
AtulOpenbravo (developer)
2020-11-26 18:11

Test Plan

- Login on the AWO mobile
- Click on BOX in the main menu
- Click on CREATE NEW REFERENCE
- Select a reference type (Sequenced container)
- Check the Sequence No assigned.
- Create the Box.
- Go to backend, navigate to Referenced Inventory window.
- Realized that Search Key for newly created record by above step is the same that was assigned.
(0124634)
hgbot (developer)
2020-11-26 18:12

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/14 [^]
(0124649)
hgbot (developer)
2020-11-27 11:52

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations [^]
Changeset: dd81ef338e0399abfb4e83e58a8860abda5a245a
Author: Atul Gaware <atul.gaware@openbravo.com>
Date: 2020-11-27T10:51:46+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/dd81ef338e0399abfb4e83e58a8860abda5a245a [^]

Fixes BUG-0045464: AWO Box numbers auto incremented twice

**Avoid recalculation of sequence number in Referenced
Inventory event handler, do not use < at start and > at
end of the document no. in Referenced Inventory Type
Sequence Provider.

---
M src/org/openbravo/warehouse/advancedwarehouseoperations/mobile/datasources/ReferencedInventoryTypeSequenceProvider.java
---
(0124650)
hgbot (developer)
2020-11-27 11:52

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/merge_requests/14 [^]

- Issue History
Date Modified Username Field Change
2020-11-19 13:17 davidverrier New Issue
2020-11-19 13:17 davidverrier Assigned To => Triage Finance
2020-11-19 13:17 davidverrier Regression date => 2020-11-07
2020-11-19 13:17 davidverrier Regression level => Packaging and release
2020-11-19 13:17 davidverrier Regression introduced in release => 2.50
2020-11-20 13:56 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2020-11-25 06:36 AtulOpenbravo Status new => scheduled
2020-11-25 16:28 dmiguelez Regression date 2020-11-07 => 2020-11-03
2020-11-25 16:28 dmiguelez Regression introduced by commit => https://gitlab.com/openbravo/product/pmods/org.openbravo.warehouse.advancedwarehouseoperations/-/commit/d3d7a622e41caa3512e71bd1ae6b78c88f55726e [^]
2020-11-26 12:41 dmiguelez File Added: proposal.diff
2020-11-26 18:11 AtulOpenbravo Note Added: 0124633
2020-11-26 18:12 hgbot Note Added: 0124634
2020-11-27 11:52 hgbot Resolution open => fixed
2020-11-27 11:52 hgbot Status scheduled => closed
2020-11-27 11:52 hgbot Note Added: 0124649
2020-11-27 11:52 hgbot Note Added: 0124650


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker